# $Revision: 1.13 $, $Date: 2011/10/23 12:13:55 $
#
# Conditional build:
%bcond_with	gtk2	# GTK+ 2.x instead of 3.x

Summary:	PulseAudio Volume Control
Summary(pl.UTF-8):	PulseAudio Volume Control - sterowanie głośnością PulseAudio
Name:		pavucontrol
Version:	1.0
Release:	2
License:	GPL v2+
Group:		X11/Applications/Sound
Source0:	http://freedesktop.org/software/pulseaudio/pavucontrol/%{name}-%{version}.tar.xz
# Source0-md5:	0ab6b13542af9b4417438527d2524316
URL:		http://freedesktop.org/software/pulseaudio/pavucontrol/
BuildRequires:	autoconf >= 2.62
BuildRequires:	automake >= 1:1.11
BuildRequires:	gettext-devel
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libsigc++-devel >= 2.0.0
BuildRequires:	pkgconfig
BuildRequires:	pulseaudio-devel >= 0.9.16
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
%if %{with gtk2}
BuildRequires:	gtkmm-devel >= 2.16.0
BuildRequires:	libcanberra-gtk-devel >= 0.16
%else
BuildRequires:	gtkmm3-devel >= 3.0.0
BuildRequires:	libcanberra-gtk3-devel >= 0.16
%endif
Requires:	pulseaudio-libs >= 0.9.16
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PulseAudio Volume Control (pavucontrol) is a simple GTK+ based volume
control tool ("mixer") for the PulseAudio sound server. In contrast to
classic mixer tools this one allows you to control both the volume of
hardware devices and of each playback stream seperately.

%description -l pl.UTF-8
PulseAudio Volume Control (pavucontrol) to proste, oparte na GTK+,
narzędzie do regulacji głośności ("mikser") dla serwera dźwięku
PulseAudio. W przeciwieństwie do klasycznych mikserów pozwala
regulować głośność urządzeń sprzętowych, jak i każdego odtwarzanego
strumienia osobno.

%prep
%setup -q

%build
%{__intltoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?with_gtk2:--disable-gtk3} \
	--disable-lynx
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{_bindir}/pavucontrol
%{_datadir}/pavucontrol
%{_desktopdir}/pavucontrol.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pavucontrol.spec,v $
Revision 1.13  2011/10/23 12:13:55  glen
- release 2

Revision 1.12  2011/10/14 15:23:44  qboosh
- updated to 1.0
- updated URLs
- now it builds with gtk+3 by default, added gtk2 bcond

Revision 1.11  2010/02/28 02:56:28  glen
- release 2

Revision 1.10  2009/10/25 13:54:06  megabajt
- updated to 0.9.10
- removed obsolete -desktop.patch

Revision 1.9  2009/07/06 13:53:49  jasw
- add missing BR
- remove	redundant patch

Revision 1.8  2008/10/18 17:56:42  patrys
- 0.9.7

Revision 1.7  2008-04-03 02:17:45  sls
- ver. 0.9.6

Revision 1.6  2007-11-04 13:17:17  qboosh
- updated to 0.9.5

Revision 1.5  2007/02/12 22:09:10  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:44  baggins
- converted to UTF-8

Revision 1.3  2006/09/16 10:00:09  qboosh
- updated to 0.9.4

Revision 1.2  2006/08/26 20:54:29  qboosh
- added X11 to Group

Revision 1.1  2006/08/26 19:41:12  qboosh
- new
